Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
FindContainers Class Reference
Inheritance diagram for FindContainers:

## Public Member Functions
| __init__ (self, name, leakDetector)
| destroy (self)
| getPriority (self)
| run (self)
Public Member Functions inherited from Job
| __init__ (self, name)
| finished (self)
| getFinishedEvent (self)
| getJobName (self)
| isFinished (self)
| printingBegin (self)
| printingEnd (self)
| resume (self)
| setPriority (self, priority)
| suspend (self)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Static Public Member Functions
| getStartObjAffinity (startObj)

## Public Attributes
| notify = self._leakDetector.notify

## Protected Member Functions
| _addContainerGen (self, cont, objRef)
| _addDiscoveredStartRef (self, obj, ref)
| _hasLength (self, obj)
| _isDeadEnd (self, obj, objName=None)
Protected Member Functions inherited from Job
| _cleanupGenerator (self)
| _getGenerator (self)
| _getJobId (self)
| _setFinished (self)
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)

## Protected Attributes
| _baseStartRefWorkingList
| _discoveredStartRefWorkingList
dict | _id2baseStartRef = {}
dict | _id2discoveredStartRef = {}
| _id2ref = self._leakDetector._id2ref
| _leakDetector = leakDetector
Protected Attributes inherited from Job
bool | _finished = False
| _generator = None
| _id = Job._SerialGen.next()
| _name = name
bool | _printing = False
| _priority = Job.Priorities.Normal
| _pstats = PStatCollector("App:Show code:jobManager:%s" % self._name)
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Additional Inherited Members
Static Public Attributes inherited from Job
| Continue = None
| `yield None` is acceptable in place of `yield Job.Continue`
| Done = object()
| Yielded from the `run()` generator method when the job is done.
| Priorities = ScratchPad(Min=1, Low=100, Normal=1000, High=10000)
| Sleep = object()
| Yield any remaining time for this job until next frame.
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask
Static Protected Attributes inherited from Job
| _SerialGen = SerialNumGen()

## Detailed Description

    Explore the Python graph, looking for objects that support __len__()

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | name,
|  |  | leakDetector )

## Member Function Documentation

## ◆ _addContainerGen()

_addContainerGen | ( |  | self,
|  |  | cont,
|  |  | objRef )
| protected

## ◆ _addDiscoveredStartRef()

_addDiscoveredStartRef | ( |  | self,
|  |  | obj,
|  |  | ref )
| protected

## ◆ _hasLength()

_hasLength | ( |  | self,
|  |  | obj )
| protected

## ◆ _isDeadEnd()

_isDeadEnd | ( |  | self,
|  |  | obj,
|  |  | objName = None )
| protected

## ◆ destroy()

destroy | ( |  | self | ) |

Reimplemented from Job.

## ◆ getPriority()

getPriority | ( |  | self | ) |

Reimplemented from Job.

## ◆ getStartObjAffinity()

getStartObjAffinity | ( |  | startObj | ) |
| static

## ◆ run()

run | ( |  | self | ) |

    This should be overridden with a generator that does the
    needful processing.

    yield `Job.Continue` when possible/reasonable, and try not to run
    longer than the JobManager's timeslice between yields.

    When done, yield `Job.Done`.

Reimplemented from Job.

## Member Data Documentation

## ◆ _baseStartRefWorkingList

_baseStartRefWorkingList
| protected

Initial value:
= ScratchPad(refGen=nullGen(),
source=self._id2baseStartRef)

## ◆ _discoveredStartRefWorkingList

_discoveredStartRefWorkingList
| protected

Initial value:
= ScratchPad(refGen=nullGen(),
source=self._id2discoveredStartRef)

## ◆ _id2baseStartRef

dict _id2baseStartRef = {}
| protected

## ◆ _id2discoveredStartRef

dict _id2discoveredStartRef = {}
| protected

## ◆ _id2ref

_id2ref = self._leakDetector._id2ref
| protected

## ◆ _leakDetector

_leakDetector = leakDetector
| protected

## ◆ notify

notify = self._leakDetector.notify